https://api.arcstudiopro.com
Authenticate every request:
Endpoints
Use Data model for object shapes and rich text details.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Arc Studio v1 API endpoints and conventions.
https://api.arcstudiopro.com
Authenticate every request:
Authorization: Bearer YOUR_API_KEY
| Endpoint | Description |
|---|---|
| List scripts | List scripts in a project |
| Get script | Get script metadata and snapshots |
| List snapshots | List snapshot metadata |
| Get snapshot | Get one snapshot metadata object |
| Get snapshot document | Get a fixed document as JSON or Markdown |
| Get latest snapshot document | Get the latest document as JSON or Markdown |
{
"error": {
"type": "invalid_request_error",
"code": "script_not_found",
"message": "No script found for that id.",
"request_id": "req_..."
}
}